// Save options
document.querySelector("form").addEventListener("submit", (e) => {
  e.preventDefault();
  let instance = document.querySelector("#instance").value.trim();
  instance = instance.replace(/^https?:?\/?\/?/, '').replace('\/$');
  proxy = proxy.replace(/^https?:?\/?\/?/, '').replace('\/$');
  if (!instance || !proxy) {
    return alert("Please fill out the fields!");
  }

  browser.storage.local.set({
    instance: instance,
    imageRedirect: document.querySelector("#imageRedirect").checked
  }).then(() => alert("Saved!"));
});


// Restore options
document.addEventListener("DOMContentLoaded", () => {
  browser.storage.local.get({
    imageRedirect: true,
    instance: "redirect.invidio.us",
  }).then((item) => {
    document.querySelector("#instance").value = item.instance;
    document.querySelector("#imageRedirect").checked = item.imageRedirect;
  });
});